Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 10594)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/browser.py	(revision 10597)
@@ -226,7 +226,18 @@
             xmldict['institution_acct'] = '7000016724'
             xmldict['institution_bank_id'] = '9'
-        elif self.applicant.is_nd:
+        elif self.applicant.applicant_id.startswith('nd'):
             xmldict['institution_acct'] = '2014191363'
             xmldict['institution_bank_id'] = '8'
+        elif self.applicant.applicant_id.startswith('prejambites'):
+            xmldict['institution_acct'] = '0106259811'
+            xmldict['institution_bank_id'] = '10'
+            self.pay_item_id = '104'
+            provider_amt = 0.0
+            dalash_amt = 0.0
+        elif self.applicant.applicant_id.startswith('pre'):
+            xmldict['institution_acct'] = '2013910271'
+            xmldict['institution_bank_id'] = '8'
+            provider_amt = 0.0
+            dalash_amt = 0.0
         else:
             xmldict['institution_acct'] = '00000000000'
@@ -253,5 +264,7 @@
 
         # Interswitch amount is not part of the xml data
-        xmltext = """<payment_item_detail>
+
+        if not self.applicant.applicant_id.startswith('pre'):
+            xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="%(institution_name)s">
 <item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
@@ -260,4 +273,12 @@
 </item_details>
 </payment_item_detail>""" % xmldict
+
+        else:
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s">
+<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
+</item_details>
+</payment_item_detail>""" % xmldict
+
         self.xml_data = """<input type="hidden" name="xml_data" value='%s'  />""" % xmltext
         self.context.provider_amt = provider_amt
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 10594)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 10597)
@@ -366,2 +366,32 @@
             'item_amt="30000" bank_id="117" acct_num="1010764827" />'
             in self.browser.contents)
+
+        # prehndft fee goes to another account
+        self.applicant.applicant_id = u'prehnd_anything'
+        self.browser.open(self.manage_path)
+        ctrl = self.browser.getControl(name='val_id')
+        value = ctrl.options[0]
+        self.browser.getLink(value).click()
+        self.browser.getLink("CollegePAY", index=0).click()
+        self.assertTrue(
+            '<item_detail item_id="1" item_name="application" '
+            'item_amt="303300" bank_id="8" acct_num="2013910271" />'
+            in self.browser.contents)
+        # No 'commission', no provider fee
+        self.assertFalse('Dalash' in self.browser.contents)
+        self.assertFalse('BT Education' in self.browser.contents)
+
+        # prejambites fee goes to another account
+        self.applicant.applicant_id = u'prejambites_anything'
+        self.browser.open(self.manage_path)
+        ctrl = self.browser.getControl(name='val_id')
+        value = ctrl.options[0]
+        self.browser.getLink(value).click()
+        self.browser.getLink("CollegePAY", index=0).click()
+        self.assertTrue(
+            '<item_detail item_id="1" item_name="application" '
+            'item_amt="303300" bank_id="10" acct_num="0106259811" />'
+            in self.browser.contents)
+        # No 'commission', no provider fee
+        self.assertFalse('Dalash' in self.browser.contents)
+        self.assertFalse('BT Education' in self.browser.contents)