Index: main/waeup.cas/trunk/waeup/cas/templates/login_service_confirm.html
===================================================================
--- main/waeup.cas/trunk/waeup/cas/templates/login_service_confirm.html	(revision 10609)
+++ main/waeup.cas/trunk/waeup/cas/templates/login_service_confirm.html	(revision 10612)
@@ -1,10 +1,21 @@
-<html>
+<!DOCTYPE html>
+<html lang="en">
   <head>
     <title>WAeUP Central Authentication Service</title>
+    PART_HEADER
   </head>
   <body>
-    <p>CAS login successful</p>
-    <p>Click <a href="SERVICE_URL">here</a>
-      to access the service you requested</p>
+    <div class="container">
+      <h2 class="text-center">WAeUP Central Authentication Service</h2>
+
+      <div class="jumbotron">
+        <h1>Logged in</h1>
+        <p class="lead">To access the service you requested, please</p>
+        <p class="text-center">
+          <a href="SERVICE_URL" class="btn btn-lg btn-success">click here</a>
+        </p>
+      </div>
+    </div>
+    PART_FOOTER
   </body>
 </html>
Index: main/waeup.cas/trunk/waeup/cas/templates/login_service_redirect.html
===================================================================
--- main/waeup.cas/trunk/waeup/cas/templates/login_service_redirect.html	(revision 10609)
+++ main/waeup.cas/trunk/waeup/cas/templates/login_service_redirect.html	(revision 10612)
@@ -1,3 +1,4 @@
-<html>
+<!DOCTYPE html>
+<html lang="en">
   <head>
     <title>WAeUP Central Authentication Service</title>
@@ -5,11 +6,20 @@
       window.location.href="SERVICE_URL"
     </script>
+    PART_HEADER
   </head>
   <body>
     <noscript>
-      <p>CAS login successful</p>
-      <p>Click <a href="SERVICE_URL">here</a>
-        to access the service you requested</p>
+      <h2 class="text-center">WAeUP Central Authentication Service</h2>
+      <div class="container">
+        <div class="jumbotron">
+          <h1>Logged in</h1>
+          <p class="lead">Authentication succeeded.</p>
+          <p class="lead">Please
+            <a href="SERVICE_URL" class="btn btn-lg btn-success">click here</a>
+            to access the service you requested.</p>
+        </div>
+      </div>
     </noscript>
+    PART_FOOTER
   </body>
 </html>
Index: main/waeup.cas/trunk/waeup/cas/templates/login_successful.html
===================================================================
--- main/waeup.cas/trunk/waeup/cas/templates/login_successful.html	(revision 10609)
+++ main/waeup.cas/trunk/waeup/cas/templates/login_successful.html	(revision 10612)
@@ -1,10 +1,18 @@
-<html>
+<!DOCTYPE html>
+<html lang="en">
   <head>
     <title>WAeUP Central Authentication Services</title>
+    PART_HEADER
   </head>
   <body>
-    <div>MSG_TEXT</div>
-    <h1>Logged in</h1>
-    <div>You successfully initiated single sign-on!</div>
+    <div class="container">
+      <h2 class="text-center">WAeUP Central Authentication Service</h2>
+      <div class="jumbotron">
+        <div id="msg">MSG_TEXT</div>
+        <h1>Logged in</h1>
+        <p>You successfully initiated single sign-on!</p>
+      </div>
+    </div>
+    PART_FOOTER
   </body>
 </html>
Index: main/waeup.cas/trunk/waeup/cas/templates/logout.html
===================================================================
--- main/waeup.cas/trunk/waeup/cas/templates/logout.html	(revision 10609)
+++ main/waeup.cas/trunk/waeup/cas/templates/logout.html	(revision 10612)
@@ -1,8 +1,19 @@
-<html>
+<!DOCTYPE html>
+<html lang="en">
   <head>
     <title>WAeUP Central Authentication Service</title>
+    PART_HEADER
   </head>
   <body>
-    <p>You have been logged out.</p>
+    <div class="container">
+      <h2 class="text-center">WAeUP Central Authentication Service</h2>
+      <div class="jumbotron">
+        <div id="msg">MSG_TEXT</div>
+        <h1>Logged out</h1>
+        <p class="lead">You have been logged out.</p>
+        <p class="lead">Thanks for using WAeUP services!</p>
+      </div>
+    </div>
+    PART_FOOTER
   </body>
 </html>
Index: main/waeup.cas/trunk/waeup/cas/templates/logout_url.html
===================================================================
--- main/waeup.cas/trunk/waeup/cas/templates/logout_url.html	(revision 10609)
+++ main/waeup.cas/trunk/waeup/cas/templates/logout_url.html	(revision 10612)
@@ -1,11 +1,22 @@
-<html>
+<!DOCTYPE html>
+<html lang="en">
   <head>
     <title>WAeUP Central Authentication Service</title>
+    PART_HEADER
   </head>
   <body>
-    <p>You have been logged out.</p>
-    <p>The application you just logged out of has provided a link it
-    would like you to follow. Please <a href="URL_HREF">click here</a>
-    to access URL_HREF.
+    <div class="container">
+      <h2 class="text-center">WAeUP Central Authentication Service</h2>
+      <div class="jumbotron">
+        <h1>Logged out</h1>
+        <p class="lead">You have been logged out.</p>
+        <p class="lead">The application you just logged out of has
+          provided a link it would like you to follow. Please
+          <a href="URL_HREF" class="btn btn-lg btn-success">click here</a>
+          to access URL_HREF.</p>
+        <p>Thanks for using WAeUP services!</p>
+      </div>
+    </div>
+    PART_FOOTER
   </body>
 </html>
Index: main/waeup.cas/trunk/waeup/cas/templates/style.css
===================================================================
--- main/waeup.cas/trunk/waeup/cas/templates/style.css	(revision 10609)
+++ main/waeup.cas/trunk/waeup/cas/templates/style.css	(revision 10612)
@@ -39,2 +39,5 @@
   border-top-right-radius: 0;
 }
+.jumbotron {
+  background-color: #fff;
+}