Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py	(revision 10615)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py	(revision 10616)
@@ -64,4 +64,7 @@
                 level_obj.gpa,
                 passed_params[4],
+                level_obj.cumulative_params[3],
+                level_obj.cumulative_params[4],
+                level_obj.cumulative_params[0],
                 )
         table.append(line)
@@ -106,5 +109,8 @@
             TTR('Total Credits Passed'),
             TTR('GPA'),
-            'Courses Failed')
+            'Courses Failed',
+            TTR('Cum. Credits Taken'),
+            TTR('Cum. Credits Passed'),
+            TTR('CGPA'))
     table = [col_names]
     sn = 1
@@ -157,5 +163,6 @@
         table_data = tbl_data_to_table(self.data)
         #col_widths = [3.5*cm] * len(self.data[0])
-        col_widths = [1*cm, 4*cm, 5*cm, 0.8*cm, 0.8*cm, 0.8*cm, 6*cm, ]
+        col_widths = [1*cm, 4*cm, 5*cm, 0.8*cm, 0.8*cm, 0.8*cm,
+                      6*cm, 0.8*cm, 0.8*cm, 0.8*cm]
         pdf_data = [Paragraph('<b>%s</b>' % self.creation_dt_string,
                               STYLE["Normal"]),
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_level_report.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_level_report.py	(revision 10615)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/reports/tests/test_level_report.py	(revision 10616)
@@ -27,5 +27,5 @@
         result = get_students('fac1', 'dep1', 2010, 100)
         self.assertEqual(result,
-            [(u'K1000000', u'1234', u'Bob Tester', 30, 30, 5.0, [])])
+            [(u'1234', u'Bob Tester', 30, 30, 5.0, [], 30, 30, 5.0)])
         return
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py	(revision 10615)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/studylevel.py	(revision 10616)
@@ -149,17 +149,17 @@
         """
         passed = failed = 0
-        failed_courses = []
-        failed_credits = 0
-        passed_credits = 0
+        courses_failed = []
+        credits_failed = 0
+        credits_passed = 0
         for ticket in self.values():
             if ticket.score is not None:
                 if ticket.score < ticket.passmark:
                     failed += 1
-                    failed_credits += ticket.credits
-                    failed_courses.append(ticket.code)
+                    credits_failed += ticket.credits
+                    courses_failed.append(ticket.code)
                 else:
                     passed += 1
-                    passed_credits += ticket.credits
-        return passed, failed, passed_credits, failed_credits, failed_courses
+                    credits_passed += ticket.credits
+        return passed, failed, credits_passed, credits_failed, courses_failed
 
     @property
@@ -171,5 +171,5 @@
         (including repeating levels). This method is used for level reports.
         """
-        passed_credits = 0
+        credits_passed = 0
         total_credits = 0
         total_credits_counted = 0
@@ -179,5 +179,5 @@
             if level.level > self.level:
                 continue
-            passed_credits += level.passed_params[2]
+            credits_passed += level.passed_params[2]
             total_credits += level.total_credits
             gpa_params = level.gpa_params
@@ -187,5 +187,5 @@
             cgpa = round(total_credits_weighted / total_credits_counted, 3)
         return (cgpa, total_credits_counted, total_credits_weighted,
-               total_credits, passed_credits)
+               total_credits, credits_passed)
 
     @property