Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 10644)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 10645)
@@ -83,5 +83,4 @@
     form_fields['description'].custom_widget = HTMLDisplayWidget
     label = _('Application Section')
-    search_button = _('Search')
     pnav = 3
 
@@ -111,5 +110,5 @@
     grok.require('waeup.viewApplication')
     label = _('Find applicants')
-    search_button = _('Search')
+    search_button = _('Find applicant')
     pnav = 3
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 10644)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 10645)
@@ -3,5 +3,4 @@
   <input class="btn primary" type="submit" name="search"
     tal:attributes="value view/search_button" />
-  <span i18n:translate="">for applicant</span>
 
   <select name="searchtype">
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 10644)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 10645)
@@ -254,9 +254,9 @@
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'John'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find applicant").click()
         self.assertTrue('John Anthony Tester' in self.browser.contents)
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'Tester'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find applicant").click()
         self.assertTrue('John Anthony Tester' in self.browser.contents)
         self.browser.open(self.search_path)
@@ -264,9 +264,9 @@
         self.browser.getControl(name="searchtype").value = ['reg_number']
         self.browser.getControl(name="searchterm").value = '2345'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find applicant").click()
         self.assertFalse('John Anthony Tester' in self.browser.contents)
         self.browser.getControl(name="searchtype").value = ['reg_number']
         self.browser.getControl(name="searchterm").value = '1234'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find applicant").click()
         self.assertTrue('John Anthony Tester' in self.browser.contents)
         # ... and not via his application_number ...
@@ -274,5 +274,5 @@
         self.browser.getControl(
             name="searchterm").value = self.applicant.application_number
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find applicant").click()
         self.assertFalse('John Anthony Tester' in self.browser.contents)
         # ... but ia his applicant_id ...
@@ -280,10 +280,10 @@
         self.browser.getControl(
             name="searchterm").value = self.applicant.applicant_id
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find applicant").click()
         self.assertTrue('John Anthony Tester' in self.browser.contents)
         # ... and via his email
         self.browser.getControl(name="searchtype").value = ['email']
         self.browser.getControl(name="searchterm").value = 'xx@yy.zz'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find applicant").click()
         self.assertTrue('John Anthony Tester' in self.browser.contents)
         return