Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 10646)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 10647)
@@ -259,5 +259,5 @@
     grok.template('containerpage')
     label = _('Student Section')
-    search_button = _('Search')
+    search_button = _('Find student(s)')
     pnav = 4
 
@@ -303,5 +303,5 @@
     pnav = 4
     label = _('Manage student section')
-    search_button = _('Search')
+    search_button = _('Find student(s)')
     remove_button = _('Remove selected')
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 10646)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 10647)
@@ -3,5 +3,4 @@
   <input class="btn primary" type="submit" name="search"
     tal:attributes="value view/search_button" />
-  <span i18n:translate="">for students</span>
 
   <select name="searchtype">
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containerpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 10646)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 10647)
@@ -3,5 +3,4 @@
   <input class="btn primary" type="submit" name="search"
     tal:attributes="value view/search_button" />
-  <span i18n:translate="">for students</span>
 
   <select name="searchtype">
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 10646)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 10647)
@@ -290,9 +290,9 @@
         # We can find a student with a certain student_id
         self.browser.open(self.container_path)
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Empty search string' in self.browser.contents)
         self.browser.getControl(name="searchtype").value = ['student_id']
         self.browser.getControl(name="searchterm").value = self.student_id
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
 
@@ -301,5 +301,5 @@
         self.browser.getControl(name="searchtype").value = ['current_session']
         self.browser.getControl(name="searchterm").value = '2004'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
         # Session fileds require integer values
@@ -307,10 +307,10 @@
         self.browser.getControl(name="searchtype").value = ['current_session']
         self.browser.getControl(name="searchterm").value = '2004/2005'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Only year dates allowed' in self.browser.contents)
         self.browser.open(self.manage_container_path)
         self.browser.getControl(name="searchtype").value = ['current_session']
         self.browser.getControl(name="searchterm").value = '2004/2005'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Only year dates allowed' in self.browser.contents)
 
@@ -319,5 +319,5 @@
         self.browser.getControl(name="searchtype").value = ['current_mode']
         self.browser.getControl(name="searchterm").value = 'ug_ft'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
 
@@ -326,52 +326,52 @@
         self.browser.getControl(name="searchtype").value = ['depcode']
         self.browser.getControl(name="searchterm").value = 'dep1'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
 
         # We can find a student by searching for all kind of name parts
         self.browser.open(self.manage_container_path)
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Empty search string' in self.browser.contents)
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'Anna Tester'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
         self.browser.open(self.manage_container_path)
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'Anna'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
         self.browser.open(self.manage_container_path)
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'Tester'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
         self.browser.open(self.manage_container_path)
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'An'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertFalse('Anna Tester' in self.browser.contents)
         self.browser.open(self.manage_container_path)
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'An*'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
         self.browser.open(self.manage_container_path)
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'tester'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
         self.browser.open(self.manage_container_path)
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'Tester Ana'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertFalse('Anna Tester' in self.browser.contents)
         self.browser.open(self.manage_container_path)
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'Tester Anna'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
         # The old searchterm will be used again
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
 
@@ -381,9 +381,9 @@
         self.browser.open(self.manage_container_path)
         self.browser.getControl(name="searchtype").value = ['suspended']
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
         self.browser.open(self.container_path)
         self.browser.getControl(name="searchtype").value = ['suspended']
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
 
@@ -400,5 +400,5 @@
         self.browser.getControl(name="searchtype").value = ['current_session']
         self.browser.getControl(name="searchterm").value = '2010'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
 
@@ -409,5 +409,5 @@
         self.browser.getControl(name="searchtype").value = ['student_id']
         self.browser.getControl(name="searchterm").value = self.student_id
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('No student found' in self.browser.contents)
 
@@ -415,5 +415,5 @@
         self.browser.getControl(name="searchtype").value = ['student_id']
         self.browser.getControl(name="searchterm").value = self.student_id
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('No student found' in self.browser.contents)
         return
@@ -1335,10 +1335,10 @@
         self.browser.getControl(name="searchtype").value = ['depcode']
         self.browser.getControl(name="searchterm").value = 'dep1'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Aaren Pieri' in self.browser.contents)
         # We can search for a new student by name ...
         self.browser.getControl(name="searchtype").value = ['fullname']
         self.browser.getControl(name="searchterm").value = 'Claus'
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Claus Finau' in self.browser.contents)
         # ... and check if the imported password has been properly set
@@ -2058,5 +2058,5 @@
         self.browser.open(self.container_path)
         self.browser.getControl(name="searchtype").value = ['transcript']
-        self.browser.getControl("Search").click()
+        self.browser.getControl("Find student(s)").click()
         self.assertTrue('Anna Tester' in self.browser.contents)
         self.browser.getLink("K1000000").click()