Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py	(revision 10650)
@@ -93,5 +93,5 @@
                 '__parent__', None)
         faculty = getattr(dept, '__parent__', None)
-        return [x is not None and x.longtitle() or x for x in dept, faculty]
+        return [x is not None and x.longtitle or x for x in dept, faculty]
 
     def _addLoginInformation(self):
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/breadcrumbs.py	(revision 10650)
@@ -182,5 +182,5 @@
     @property
     def title(self):
-        return self.context.longtitle()
+        return self.context.longtitle
 
 class DepartmentBreadcrumb(FacultyBreadcrumb):
@@ -217,5 +217,5 @@
     @property
     def title(self):
-        return self.context.longtitle()
+        return self.context.longtitle
 
 def getBreadcrumb(obj, viewname=None):
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 10650)
@@ -1865,5 +1865,5 @@
     @property
     def label(self):
-        return _('Find students in ') + ('%s' % self.context.longtitle())
+        return _('Find students in ') + ('%s' % self.context.longtitle)
 
     def _find_students(self,query=None, searchtype=None, view=None):
@@ -2330,5 +2330,5 @@
     @property
     def label(self):
-        return '%s' % (self.context.longtitle())
+        return '%s' % (self.context.longtitle)
 
     @property
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatecoursepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatecoursepage.pt	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/certificatecoursepage.pt	(revision 10650)
@@ -18,7 +18,7 @@
       <td i18n:translate="">Provided by:</td>
       <td>
-      <span tal:content="python: context.course.__parent__.__parent__.longtitle()">DEPARTMENT</span>
+      <span tal:content="python: context.course.__parent__.__parent__.longtitle">DEPARTMENT</span>
       <br />
-      <span tal:content="python: context.course.__parent__.__parent__.__parent__.longtitle()">FACULTY</span>
+      <span tal:content="python: context.course.__parent__.__parent__.__parent__.longtitle">FACULTY</span>
       </td>
     </tr>
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 10650)
@@ -2930,5 +2930,5 @@
 
     def label(self):
-        return 'Students in %s' % self.context.longtitle()
+        return 'Students in %s' % self.context.longtitle
 
     def _set_session_values(self):
@@ -2996,5 +2996,5 @@
 
     def label(self):
-        return 'Students studying %s' % self.context.longtitle()
+        return 'Students studying %s' % self.context.longtitle
 
     def _searchCatalog(self, session, level):
@@ -3024,5 +3024,5 @@
 
     def label(self):
-        return 'Students registered for %s' % self.context.longtitle()
+        return 'Students registered for %s' % self.context.longtitle
 
     def _searchCatalog(self, session, level):
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 10650)
@@ -476,7 +476,7 @@
             value = certificate.title
         if name == 'department' and certificate is not None:
-            value = certificate.__parent__.__parent__.longtitle()
+            value = certificate.__parent__.__parent__.longtitle
         if name == 'faculty' and certificate is not None:
-            value = certificate.__parent__.__parent__.__parent__.longtitle()
+            value = certificate.__parent__.__parent__.__parent__.longtitle
         if name == 'passport_path' and certificate is not None:
             file_id = IFileStoreNameChooser(context).chooseName(attr='passport.jpg')
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/level_report.py	(revision 10650)
@@ -152,6 +152,6 @@
         self.faccode = faccode
         self.depcode = depcode
-        self.factitle = site['faculties'][faccode].longtitle()
-        self.deptitle = site['faculties'][faccode][depcode].longtitle()
+        self.factitle = site['faculties'][faccode].longtitle
+        self.deptitle = site['faculties'][faccode][depcode].longtitle
         self.author = author
         self.creation_dt_string = self.creation_dt.astimezone(
@@ -272,5 +272,5 @@
             for dep in fac.values():
                 faccode_depcodes.append(
-                    ('%s (%s)' %(dep.longtitle(), fac.longtitle()),
+                    ('%s (%s)' %(dep.longtitle, fac.longtitle),
                      '%s_%s' %(fac.code, dep.code)))
         self.faccode_depcodes = sorted(
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/reports/session_results_presentation.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/reports/session_results_presentation.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/reports/session_results_presentation.py	(revision 10650)
@@ -130,6 +130,6 @@
         self.faccode = faccode
         self.depcode = depcode
-        self.factitle = site['faculties'][faccode].longtitle()
-        self.deptitle = site['faculties'][faccode][depcode].longtitle()
+        self.factitle = site['faculties'][faccode].longtitle
+        self.deptitle = site['faculties'][faccode][depcode].longtitle
         self.author = author
         self.creation_dt_string = self.creation_dt.astimezone(
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 10650)
@@ -142,5 +142,5 @@
             f_label = Paragraph(f_label, ENTRY1_STYLE)
             f_text = formatted_text(
-                studentview.context['studycourse'].certificate.longtitle())
+                studentview.context['studycourse'].certificate.longtitle)
             f_text = Paragraph(f_text, ENTRY1_STYLE)
             data_right.append([f_label,f_text])
@@ -150,5 +150,5 @@
             f_text = formatted_text(
                 studentview.context[
-                'studycourse'].certificate.__parent__.__parent__.longtitle(),
+                'studycourse'].certificate.__parent__.__parent__.longtitle,
                 )
             f_text = Paragraph(f_text, ENTRY1_STYLE)
@@ -159,5 +159,5 @@
             f_text = formatted_text(
                 studentview.context[
-                'studycourse'].certificate.__parent__.__parent__.__parent__.longtitle(),
+                'studycourse'].certificate.__parent__.__parent__.__parent__.longtitle,
                 )
             f_text = Paragraph(f_text, ENTRY1_STYLE)
@@ -727,5 +727,5 @@
         f_label = trans(_('Course of Study:'), portal_language)
         f_label = Paragraph(f_label, ENTRY1_STYLE)
-        f_text = formatted_text(view.context.certificate.longtitle())
+        f_text = formatted_text(view.context.certificate.longtitle)
         f_text = Paragraph(f_text, ENTRY1_STYLE)
         contextdata.append([f_label,f_text])
@@ -734,5 +734,5 @@
         f_label = Paragraph(f_label, ENTRY1_STYLE)
         f_text = formatted_text(
-            view.context.certificate.__parent__.__parent__.__parent__.longtitle())
+            view.context.certificate.__parent__.__parent__.__parent__.longtitle)
         f_text = Paragraph(f_text, ENTRY1_STYLE)
         contextdata.append([f_label,f_text])
@@ -741,5 +741,5 @@
         f_label = Paragraph(f_label, ENTRY1_STYLE)
         f_text = formatted_text(
-            view.context.certificate.__parent__.__parent__.longtitle())
+            view.context.certificate.__parent__.__parent__.longtitle)
         f_text = Paragraph(f_text, ENTRY1_STYLE)
         contextdata.append([f_label,f_text])
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 10650)
@@ -89,4 +89,5 @@
         return None
 
+    @property
     def longtitle(self):
         return "%s (%s)" % (self.title,self.code)
@@ -161,4 +162,5 @@
         return self.course.code
 
+    @property
     def longtitle(self):
         return "%s in level %s" % (self.course.code,
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/course.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/course.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/course.py	(revision 10650)
@@ -67,4 +67,5 @@
         return None
 
+    @property
     def longtitle(self):
         return "%s (%s)" % (self.title,self.code)
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/department.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/department.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/department.py	(revision 10650)
@@ -89,4 +89,5 @@
         return None
 
+    @property
     def longtitle(self):
         return longtitle(self)
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/faculty.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/faculty.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/faculty.py	(revision 10650)
@@ -74,4 +74,5 @@
         self[department.code] = department
 
+    @property
     def longtitle(self):
         return longtitle(self)
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py	(revision 10649)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py	(revision 10650)
@@ -55,8 +55,4 @@
         )
 
-    def longtitle():
-        """
-        Returns the long title of a faculty.
-        """
 
 class IFacultyAdd(IFaculty):
@@ -114,8 +110,4 @@
     certificates = Attribute("A container for certificates.")
 
-    def longtitle():
-        """
-        Returns the long title of a department.
-        """
 
 class IDepartmentAdd(IDepartment):
@@ -185,8 +177,4 @@
         )
 
-    def longtitle():
-        """
-        Returns the long title of a course.
-        """
 
 class ICourseAdd(ICourse):
@@ -293,9 +281,4 @@
         required = False,
         )
-
-    def longtitle():
-        """
-        Returns the long title of a certificate.
-        """
 
     @invariant
@@ -364,10 +347,4 @@
         """
 
-    def longtitle():
-        """
-        Returns the long title of a certificatecourse.
-        """
-
-
 class ICertificateCourseAdd(ICertificateCourse):
     """A certificatecourse is referring a course and