Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 10667)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 10672)
@@ -90,5 +90,5 @@
                            self.browser.contents)
         self.assertMatches(
-            '...<span>36600.0</span>...',
+            '...<span>39400.0</span>...',
             self.browser.contents)
         self.payment_url = self.browser.url
@@ -119,8 +119,8 @@
                            self.browser.contents)
         self.assertTrue(
-            '<input type="hidden" name="amount" value="3660000.0" />' in
-            self.browser.contents)
-        self.assertTrue(
-            'item_name="School Fee" item_amt="3330000" bank_id="120" acct_num="1771180233"' in
+            '<input type="hidden" name="amount" value="3940000.0" />' in
+            self.browser.contents)
+        self.assertTrue(
+            'item_name="School Fee" item_amt="3610000" bank_id="120" acct_num="1771180233"' in
             self.browser.contents)
         self.assertTrue(
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 10667)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 10672)
@@ -225,5 +225,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2004)
-        self.assertEqual(payment.amount_auth, 52100.0)
+        self.assertEqual(payment.amount_auth, 53900.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -238,5 +238,5 @@
         self.assertEqual(payment.p_level, 200)
         self.assertEqual(payment.p_session, 2005)
-        self.assertEqual(payment.amount_auth, 38850.0)
+        self.assertEqual(payment.amount_auth, 32090.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 10667)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 10672)
@@ -53,20 +53,20 @@
         (
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (34400.0, 36600.0, 28800.0, 29500.0, 28800.0, 0.0, 38700.0, 29900.0, 30700.0, 29900.0, 0.0, 47250.0), # science
-            (34400.0, 35100.0, 27300.0, 28000.0, 27300.0, 0.0, 37200.0, 28400.0, 29200.0, 28400.0, 0.0, 47250.0)  # arts
+            (34500.0, 39400.0, 28500.0, 29500.0, 28500.0, 0.0, 40000.0, 29400.0, 31700.0, 29400.0, 0.0, 56600.0), # science
+            (34500.0, 37900.0, 27000.0, 28000.0, 27000.0, 0.0, 38500.0, 27900.0, 20200.0, 27900.0, 0.0, 55100.0)  # arts
           ), # local
           ( # 10       100      110      200      210     300    400     410      500      510     600   999
-            (49500.0, 52100.0, 35900.0, 38850.0, 35900.0, 0.0, 55600.0, 38600.0, 40850.0, 38600.0, 0.0, 71880.0), # science
-            (49500.0, 50600.0, 34400.0, 37350.0, 34400.0, 0.0, 54100.0, 37100.0, 39350.0, 37100.0, 0.0, 71880.0)  # arts
+            (49600.0, 53900.0, 37600.0, 32090.0, 37600.0, 0.0, 56400.0, 39100.0, 34900.0, 39100.0, 0.0, 83250.0), # science
+            (49600.0, 52400.0, 36100.0, 30590.0, 36100.0, 0.0, 54900.0, 37600.0, 33400.0, 37600.0, 0.0, 81750.0)  # arts
           ), # non-local
         ), # ft
         (
           ( # 10   100     110    200    210   300      400     410   500     510   600     999
-            (0.0, 39400.0, 0.0, 30900.0, 0.0, 30900.0, 39900.0, 0.0, 31050.0, 0.0, 31050.0, 0.0), # science
-            (0.0, 37900.0, 0.0, 29400.0, 0.0, 29400.0, 38400.0, 0.0, 29550.0, 0.0, 29550.0, 0.0)  # arts
+            (0.0, 40700.0, 0.0, 29900.0, 0.0, 29900.0, 41100.0, 0.0, 31050.0, 0.0, 31050.0, 0.0), # science
+            (0.0, 39200.0, 0.0, 28400.0, 0.0, 28400.0, 39600.0, 0.0, 29550.0, 0.0, 29550.0, 0.0)  # arts
           ), # local
           ( # 10   100     110    200    210   300      400     410   500     510   600     999
-            (0.0, 54600.0, 0.0, 32350.0, 0.0, 32350.0, 57100.0, 0.0, 42350.0, 0.0, 42350.0, 0.0), # science
-            (0.0, 53100.0, 0.0, 30850.0, 0.0, 30850.0, 55600.0, 0.0, 40850.0, 0.0, 40850.0, 0.0)  # arts
+            (0.0, 55400.0, 0.0, 33850.0, 0.0, 33850.0, 58300.0, 0.0, 42350.0, 0.0, 42350.0, 0.0), # science
+            (0.0, 53900.0, 0.0, 32350.0, 0.0, 32350.0, 56800.0, 0.0, 40850.0, 0.0, 40850.0, 0.0)  # arts
           ), # non-local
         ), # pt