Index: main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 10684)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 10685)
@@ -29,5 +29,5 @@
 from waeup.kofa.interfaces import IKofaPluggable
 from waeup.kofa.university.interfaces import (
-    ICertificate, ICertificateAdd, ICertificateCourse)
+    ICertificate, ICertificateCourse)
 from waeup.kofa.university.vocabularies import course_levels
 from waeup.kofa.utils.batching import VirtualExportJobContainer
@@ -40,5 +40,5 @@
     """A certificate.
     """
-    grok.implements(ICertificate, ICertificateAdd)
+    grok.implements(ICertificate)
 
     local_roles = [
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/course.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/course.py	(revision 10684)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/course.py	(revision 10685)
@@ -27,5 +27,5 @@
 from zope.component.interfaces import IFactory, ComponentLookupError
 from waeup.kofa.interfaces import IKofaPluggable
-from waeup.kofa.university.interfaces import ICourse, ICourseAdd
+from waeup.kofa.university.interfaces import ICourse
 from waeup.kofa.utils.batching import VirtualExportJobContainer
 
@@ -37,5 +37,5 @@
     """A university course.
     """
-    grok.implements(ICourse, ICourseAdd)
+    grok.implements(ICourse)
 
     local_roles = ['waeup.local.Lecturer']
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/department.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/department.py	(revision 10684)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/department.py	(revision 10685)
@@ -30,5 +30,5 @@
 from waeup.kofa.interfaces import IKofaUtils, IKofaPluggable
 from waeup.kofa.utils.helpers import attrs_to_fields
-from waeup.kofa.university.interfaces import IDepartment, IDepartmentAdd
+from waeup.kofa.university.interfaces import IDepartment
 
 class VirtualDepartmentExportJobContainer(VirtualExportJobContainer):
@@ -39,5 +39,5 @@
     """A university department.
     """
-    grok.implements(IDepartment, IDepartmentAdd)
+    grok.implements(IDepartment)
 
     local_roles = [
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py	(revision 10684)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/interfaces.py	(revision 10685)
@@ -69,5 +69,4 @@
         default = u'NA',
         required = True,
-        readonly = True,
         )
 
@@ -97,17 +96,4 @@
 
 
-class IDepartmentAdd(IDepartment):
-    """Representation of a university department.
-    """
-    code = schema.TextLine(
-        title = _(u'Code'),
-        description = _(u'This code will become part of the URL.'),
-        default = u'NA',
-        required = True,
-        readonly = False,
-        )
-
-IDepartmentAdd['code'].order =  IDepartment['code'].order
-
 class ICoursesContainer(IKofaContainer):
     """A container for faculties.
@@ -126,5 +112,4 @@
         default = u'NA',
         required = True,
-        readonly = True,
         )
 
@@ -164,17 +149,4 @@
 
 
-class ICourseAdd(ICourse):
-    """Representation of a course.
-    """
-    code = schema.TextLine(
-        title = _(u'Code'),
-        description = _(u'Enter unique course code which will become part of the URL.'),
-        default = u'NA',
-        required = True,
-        readonly = False,
-        )
-
-ICourseAdd['code'].order =  ICourse['code'].order
-
 class ICertificate(IKofaObject):
     """Representation of a certificate.
@@ -184,5 +156,4 @@
         default = u'NA',
         required = True,
-        readonly = True,
         )
 
@@ -282,17 +253,4 @@
 
 
-class ICertificateAdd(ICertificate):
-    """Representation of a certificate.
-    """
-    code = schema.TextLine(
-        title = _(u'Code'),
-        default = u'NA',
-        description = _(u'Enter unique certificate code which will become part of the URL.'),
-        required = True,
-        readonly = False,
-        )
-
-ICertificateAdd['code'].order =  ICertificate['code'].order
-
 class ICertificatesContainer(IKofaContainer):
     """A container for certificates.
@@ -311,5 +269,4 @@
         title = _(u'Course'),
         source = CourseSource(),
-        readonly = True,
         )
 
@@ -332,14 +289,2 @@
         This is needed for cataloging.
         """
-
-class ICertificateCourseAdd(ICertificateCourse):
-    """A certificatecourse is referring a course and
-       provides some own attributes.
-    """
-    course = schema.Choice(
-        title = _(u'Course'),
-        source = CourseSource(),
-        readonly = False,
-        )
-
-ICertificateCourseAdd['course'].order =  ICertificateCourse['course'].order